> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healthharbor.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Mental Health Inquiries



## OpenAPI

````yaml post /api/v0/mental_health/batch_inquiries
openapi: 3.1.0
info:
  title: Health Harbor
  description: >+

    Health Harbor's API handles calls to insurance for your providers so you
    don't have to.


    This simple API supports a few operations:

    * **Create an inquiry** to call insurance for a provider.

    * **Read an inquiry** to get the status and results for a previously
    submitted inquiry.


    Each operation is supported in bulk or individually. In addition to typical
    patient and practice information needed to complete an inquiry, each
    operation also supports:

    * an 'external_id' parameter which you can define and pass in with your
    creation request. This is useful for tracking a specific subgroup of
    inquiries. For instance, you can assign a unique external id to all
    inquiries for a specific provider on your platform.


    For example, the most common use case is to request benefits for certain
    procedure codes for a patient. You can do this by creating an inquiry with
    the patient's insurance information, the provider's information, and the
    procedure codes you want to check along with CODE_LOOKUP_BENEFITS as the
    query. We will then check benefits for those procedure codes and return the
    results to you.


    We've also started creating customized queries for our customers so they can
    specify certain follow-up questions or specific information they want
    outside the scope of a typical benefits request. Contact
    alan@healthharbor.co, and we'll set one up for you.

  termsOfService: >-
    https://docs.google.com/document/d/1sOPgtPktx4YWc-p5YXWIztGEWusDG4wsP_txWhjpwNw/edit?usp=sharing
  contact:
    name: Support
    email: support@healthharbor.co
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/mental_health/batch_inquiries:
    post:
      summary: Create Mental Health Inquiries
      operationId: create_mental_health_inquiries_api_v0_mental_health_batch_inquiries_post
      requestBody:
        content:
          application/json:
            schema:
              items:
                $ref: '#/components/schemas/ExternalMentalHealthInquiryRequest'
              type: array
              title: New Inquiries
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/InquiryCreationResponse'
                type: array
                title: >-
                  Response Create Mental Health Inquiries Api V0 Mental Health
                  Batch Inquiries Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    ExternalMentalHealthInquiryRequest:
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/ExternalInquiryType'
          description: type of the inquiry
          examples:
            - BENEFITS
            - CLAIMS_STATUS
        desired_completion_date:
          type: string
          title: Desired Completion Date
          description: >-
            The requested completion date of the inquiry in MM-DD-YYYY format.
            Calls will typically be completed by the morning of the requested
            completion date, but in some cases may be completed earlier.
          examples:
            - 03-19-2024
        patient_name:
          type: string
          title: Patient Name
          description: name of the patient
          examples:
            - Alex Martin
        dob:
          type: string
          title: Dob
          description: date of birth of the patient in MM-DD-YYYY format
          examples:
            - 01-31-2020
        member_id:
          type: string
          title: Member Id
          description: member id of the patient
          examples:
            - '123456789'
        group_id:
          type: string
          title: Group Id
          description: group id of the patient
          examples:
            - '123456'
        insurance_in_network:
          type: boolean
          title: Insurance In Network
          description: >-
            whether or not the provider is in-network. If it is not known, leave
            this field blank and it will be determined.
        npi:
          type: string
          title: Npi
          description: >-
            (deprecated, use billing_npi and rendering_npi instead) Ten digit
            NPI of the provider
          examples:
            - '1234567890'
        billing_npi:
          type: string
          title: Billing Npi
          description: Ten digit NPI of the billing provider
          examples:
            - '1234567890'
        rendering_npi:
          type: string
          title: Rendering Npi
          description: Ten digit NPI of the rendering provider
          examples:
            - '1234567890'
        tax_id:
          type: string
          title: Tax Id
          description: Nine digit tax id of the provider
          examples:
            - '123456789'
        external_id:
          type: string
          title: External Id
          description: >-
            An identifier which you can define and pass in with your creation
            request. This is useful for tracking a specific subgroup of
            inquiries. For instance, you can assign a unique external id to all
            inquiries for a specific provider on your platform.
        practice_billing_address:
          type: string
          title: Practice Billing Address
          description: >-
            The billing address of the practice. If omitted, the address will be
            determined from the NPI.
          examples:
            - 123 Main St, New York, NY 10001
        diagnosis_codes:
          items:
            type: string
          type: array
          title: Diagnosis Codes
          description: >-
            Any diagnosis codes for the patient. If omitted, a general diagnosis
            code will be used.
          examples:
            - - F41.1
              - F42.23
        claims_date_of_service:
          type: string
          title: Claims Date Of Service
          description: >-
            The date of service for the claim in MM-DD-YYYY format. Only used
            for claims inquiries.
          examples:
            - 01-31-2020
        claim_number:
          type: string
          title: Claim Number
          description: >-
            The claim number for the inquiry if provided by the user. Only used
            for claims inquiries.
          examples:
            - '1234567890'
        additional_info:
          type: string
          title: Additional Info
          description: >-
            Any additional information about the inquiry that is not covered by
            the other fields. This can be used to pass in any additional
            information for the request. Please check with the Health Harbor
            team before using this field as it may not be incorporated into the
            inquiry unless we are already aware of it.
          examples:
            - >-
              The patient is on a Medicare plan and we need to know their
              secondary insurance benefits.
        call_script_id:
          type: string
          title: Call Script Id
          description: >-
            Optional ID of a call script belonging to your team. Use for
            eligibility/benefits inquiries to control which questions are asked.
            You can find call script IDs on the Accounts page in the dashboard.
            When provided, it must be a script your team created. For
            eligibility search, either benefits queries or this field may
            satisfy the requirement—see Health Harbor documentation.
          examples:
            - null
        insurance:
          type: string
          title: Insurance
          description: >-
            The insurance provider for the patient. You must provide the name of
            the insurance provider or the payor id in order for the insurance to
            be identified.
          examples:
            - United Healthcare
        benefits_query:
          items:
            $ref: '#/components/schemas/ExternalMentalHealthEligibilitySearchQuery'
          type: array
          description: >-
            The specific set of benefits to query. These are customized for each
            customer. Contact alan@healthharbor.co for details.
          examples:
            - - PSYCHOTHERAPY
              - OFFICE_VISIT_NEW_PATIENT
              - CODE_LOOKUP_BENEFITS
        benefits_codes:
          items:
            type: string
          type: array
          title: Benefits Codes
          description: >-
            Codes processed for a CODE_LOOKUP_BENEFITS or a
            CODE_LOOKUP_PRIOR_AUTH benefits inquiry.
          examples:
            - - '99203'
        benefits_form_name:
          type: string
          title: Benefits Form Name
          description: >-
            The name of a custom form for your providers. Contact
            alan@healthharbor.co for details.
          examples:
            - ''
        is_specialist:
          type: boolean
          title: Is Specialist
          description: >-
            The type of provider making the inquiry. If the provider is a
            specialist, set this to True. If the provider is a general PCP, set
            this to False. 
          examples:
            - true
            - false
        place_of_service:
          type: string
          title: Place Of Service
          description: >-
            Where the service will be performed. This is typically one of a few
            places: the doctors office, telehealth or an ambulatory surgical
            center. See this page for the full list:
            https://www.cms.gov/medicare/coding-billing/place-of-service-codes/code-sets 
          examples:
            - doctors office
            - telehealth
            - ambulatory surgical center
        billed_amount:
          type: number
          title: Billed Amount
          description: >-
            The billed amount for the claim. Value should be a float with 2
            decimal places. Only used for claims inquiries.
          examples:
            - 100
            - 25.97
        insurance_payor_id:
          type: string
          title: Insurance Payor Id
          description: >-
            The payor id for the insurance. Usually five characters. For
            example, one payor id for Aetna is 60054.
          examples:
            - '60054'
      type: object
      required:
        - type
        - desired_completion_date
        - patient_name
        - dob
        - member_id
        - tax_id
      title: ExternalMentalHealthInquiryRequest
    InquiryCreationResponse:
      properties:
        success:
          type: boolean
          title: Success
        inquiry_id:
          type: string
          title: Inquiry Id
      type: object
      required:
        - success
        - inquiry_id
      title: InquiryCreationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExternalInquiryType:
      type: string
      enum:
        - CLAIMS_STATUS
        - BENEFITS
        - UNKNOWN
      title: ExternalInquiryType
      description: An enumeration.
    ExternalMentalHealthEligibilitySearchQuery:
      type: string
      enum:
        - DEDUCTIBLES_AND_MAXIMUMS
        - PLAN_INFO
        - NETWORK_STATUS
        - CODE_LOOKUP_PRIOR_AUTH
        - CODE_LOOKUP_BENEFITS
        - OFFICE_VISIT_NEW_PATIENT
        - OFFICE_VISIT_RETURNING_PATIENT
        - PSYCHOTHERAPY
        - FAMILY_PSYCHOTHERAPY
        - GROUP_PSYCHOTHERAPY
        - ABA_COVERAGE
        - SPEECH_THERAPY
        - OCCUPATIONAL_THERAPY
        - PHYSICAL_THERAPY
        - NEURO_PSYCH
        - TRIAL
        - UNKNOWN
      title: ExternalMentalHealthEligibilitySearchQuery
      description: An enumeration.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token
    HTTPBasic:
      type: http
      scheme: basic

````